package com.sintecmedia.components.component;

import java.util.Map;

import javax.faces.component.ActionSource2;
import javax.faces.event.AbortProcessingException;
import javax.faces.event.FacesEvent;

import org.ajax4jsf.component.AjaxActionComponent;

import com.sintecmedia.components.event.DaySelectedEvent;

public abstract class UIWeekDaysButtons 
		extends AjaxActionComponent implements ActionSource2 {
	
	public static final String COMPONENT_TYPE = 
		"com.sintecmedia.components.WeekDaysButtons";
	public static final String COMPONENT_FAMILY = 
		"com.sintecmedia.components.WeekDaysButtons";	
	public static final String DAY_INDEX_ATTRIBUTE = 
		COMPONENT_TYPE + ":dayIndex";

	/* (non-Javadoc)
	 * @see javax.faces.component.UIComponentBase#broadcast(javax.faces.event.FacesEvent)
	 */
	public void broadcast( FacesEvent event ) throws AbortProcessingException {
		super.broadcast(event);
		if( event instanceof DaySelectedEvent ) {
			System.out.println("daySelectedEvent.getComponent().getId():    " + event.getComponent().getId());
			DaySelectedEvent dataScrollerEvent = (DaySelectedEvent) event;
			int index = dataScrollerEvent.getDayIndex();
			System.out.println( "dayIndex=" + index );
		} else {
			System.out.println("Is not implements DaySelectedEvent" );			
		}
	}	
	
	 public int getDayIndex() {
		 Map<String, Object> attributes = getAttributes();
		 Integer val = (Integer) attributes.get(DAY_INDEX_ATTRIBUTE);
		 return val != null ? val : -1;
	 }
}
